#!/bin/sh -e

#ASPORTAL_PATH=/usr/local/AppCentral/asportal
XORG_PATH=/usr/local/AppCentral/xorg

#if [ ! -e $ASPORTAL_PATH/CONTROL/env.sh ]; then
#    echo "Can't find $ASPORTAL_PATH/CONTROL/env.sh"
#    exit 1
#fi

if [ ! -e $XORG_PATH/CONTROL/env.sh ]; then
    echo "Can't find $XORG_PATH/CONTROL/env.sh"
    exit 1
fi

#source $ASPORTAL_PATH/CONTROL/env.sh
source $XORG_PATH/CONTROL/env.sh


PKG_PATH=/usr/local/AppCentral/remote-center

#export ASREMOTE_BIN_PATH=$PKG_PATH/bin
export REMOTE_CENTER_BIN_PATH=$PKG_PATH/bin:$XORG_BIN_PATH
export PATH=$REMOTE_CENTER_BIN_PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/builtin/bin:/usr/builtin/sbin:/usr/local/bin:/usr/local/sbin
export REMOTE_CENTER_LD_LIBRARY_PATH=$PKG_PATH/lib:$PKG_PATH/usr/lib:$PKG_PATH/usr/lib/python2.7/site-packages:$XORG_LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$REMOTE_CENTER_LD_LIBRARY_PATH:/usr/lib64:/usr/lib
export PYTHONPATH=$PKG_PATH/usr/lib:$PKG_PATH/usr/lib/python2.7/site-packages
export REQUEST_METHOD="get"


DEBUG="false"

if [ "true" == "$DEBUG" ]; then

echo ">>>remote-center env>>>"
echo PKG_PATH: $PKG_PATH
echo ""
echo REMOTE_CENTER_BIN_PATH: $REMOTE_CENTER_BIN_PATH
echo ""
echo REMOTE_CENTER_LD_LIBRARY_PATH: $REMOTE_CENTER_LD_LIBRARY_PATH
echo ""
echo PATH: $PATH
echo ""
echo LD_LIBRARY_PATH: $LD_LIBRARY_PATH
echo "<<<remote-center env<<<"

fi
